#!/bin/bash

# Put us at the root of the quay repo no matter what
pushd $(dirname "${0}") > /dev/null
basedir=$(pwd -L)
cd "${basedir}"/../../

# Install Docker and C libraries on which Python libraries are dependent
brew update
brew upgrade
brew install boot2docker docker libevent libmagic postgresql gpgme

# Some OSX installs don't have /usr/include, which is required for finding SASL headers for our LDAP library
if [ ! -e /usr/include ]; then
    sudo ln -s `xcrun --show-sdk-path`/usr/include /usr/include
fi

# Install Python dependencies
sudo pip install -r requirements.txt

# Put the local testing config in place
git clone git@github.com:coreos-inc/quay-config.git ../quay-config
ln -s ../../quay-config/local conf/stack
